GWT 2.7.0

## com.google.gwt.core.ext.typeinfo
Interface JRealClassType

All Superinterfaces:
  HasAnnotations, HasMetaData, JClassType, JType

All Known Subinterfaces:
  JAnnotationType, JEnumType, JGenericType

    public interface JRealClassType

extends JClassType

Type representing a Java class or interface type that a user would declare.

Method Summary
`long` | `getLastModifiedTime()` Retrieve last modified time for this type.

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isLocalType, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType
`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getLastModifiedTime

    long getLastModifiedTime()

  Retrieve last modified time for this type.

GWT 2.7.0